<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\MerchantsController;
use App\Http\Controllers\FileUploadController;

// Route::get('/user', function (Request $request) {
//     return $request->user();
// })->middleware('auth:sanctum');


//routes for merchant
Route::get('/merchants',[MerchantsController::class,'index'] );
Route::get('/merchants/{userid}',[MerchantsController::class,'show'] );
Route::post('/merchants',[MerchantsController::class,'store'] );

//routes for file uploads
Route::post('/fileUploads/cr6',[FileUploadController::class,'storeCr6'] );
Route::post('/fileUploads/cr14',[FileUploadController::class,'storeCr14'] );
Route::post('/fileUploads/taxClearance',[FileUploadController::class,'storeTaxClearance'] );
Route::post('/fileUploads/coi',[FileUploadController::class,'storeCoi'] );
Route::post('/fileUploads/vetReg',[FileUploadController::class,'storeVetReg'] );
Route::post('/fileUploads/pibClearance',[FileUploadController::class,'storePibClearance'] );
Route::post('/fileUploads/otherDocuments',[FileUploadController::class,'storeOtherDocument'] );
Route::post('/fileUploads/natIdCard',[FileUploadController::class,'storeNatIdCard'] );
Route::post('/fileUploads/pop',[FileUploadController::class,'storePOP'] );